org.apache.jmeter.visualizers

## Interface ResultRenderer

All Known Implementing Classes:
  RenderAsBoundaryExtractor, RenderAsCssJQuery, RenderAsDocument, RenderAsHTML, RenderAsHTMLFormatted, RenderAsHTMLWithEmbedded, RenderAsJmesPathRenderer, RenderAsJSON, RenderAsJsonRenderer, RenderAsRegexp, RenderAsText, RenderAsXML, RenderAsXPath, RenderAsXPath2, RenderInBrowser, SamplerResultTab

    public interface ResultRenderer

Interface to results render

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearData()`
`void` `init()`
`void` `renderImage(SampleResult sampleResult)`
`void` `renderResult(SampleResult sampleResult)`
`void` `setBackgroundColor(Color backGround)`
`void` `setLastSelectedTab(int index)`
`void` `setRightSide(JTabbedPane rightSide)`
`void` `setSamplerResult(Object userObject)`
`void` `setupTabPane()`
`String` `toString()`

### Method Detail

#### clearData

    void clearData()

#### init

    void init()

#### setupTabPane

    void setupTabPane()

#### setLastSelectedTab

    void setLastSelectedTab(int index)

#### setRightSide

    void setRightSide(JTabbedPane rightSide)

#### setSamplerResult

    void setSamplerResult(Object userObject)

#### renderResult

    void renderResult(SampleResult sampleResult)

#### renderImage

    void renderImage(SampleResult sampleResult)

#### toString

    String toString()

Overrides:
  `toString` in class `Object`
Returns:
  the string to be displayed by the ComboBox

#### setBackgroundColor

    void setBackgroundColor(Color backGround)